Lorsque je compile mon fichier avec AMC-Gui j'ai le message d'erreur suivant:
Runaway argument?
{ \begin {question}{Continuation-de-ligne} Lorsqu'une ligne est trop \ETC.
! File ended while scanning use of \element.
<inserted text>
                \par
<*> ...\NoWatermarkExterne{1}\input{"QCM-AMC.tex"}

! Emergency stop.
<*> ...\NoWatermarkExterne{1}\input{"QCM-AMC.tex"}

!  ==> Fatal error occurred, no output PDF file produced!
Transcript written on amc-compiled.log.

Je ne comprend pas où est mon erreur. Pouvez-vous m'aider? Merci.

Je joins le fichier source à ce mesage.

Bien cordialement,
Pascal

History
03/25/2020 09:31 am - Alexis Bienvenüe
- Status changed from New to Feedback

Fournissez un exemple complet minimal (fichier source complet mais le plus petit possible qui présente votre problème), cela nous (et vous aussi) 
aidera à y voir plus clair !
Avez-vous lu le paragraphe sur le conflit entre AMC et @verbatim@ dans la documentation ?

03/25/2020 04:00 pm - Pascal Boulet
- File QCM-AMC-test.tex added

J'ai simplifié le fichier au minimum. J'ai résolu des problèmes mais il me reste celui de l'affichage des questions ouvertes. J'ai remplacé verbatim par le 
package listings... Mais il y a toujours des erreurs de compilation car il semble que listings utilise verbatim (?) :

Runaway argument?
 program somme_d_une_suite
! Paragraph ended before \@xverbatim was complete.
<to be read again>
                   \par
l.60 }
Ci-joint le nouveau fichier tex minimaliste.

Pascal

03/25/2020 04:06 pm - Pascal Boulet
J'ai fait une erreur de copier-coller dans mon fichier précédent. Il faut replacer \begin{verbatim} ... \end{verbatim} par \begin{lstlisting} ... \end{lstlisting}.

Le message d'erreur est alors: 

Runaway argument?
! Paragraph ended before \lst@next was complete.
<to be read again>
                   \par
l.60 }

03/25/2020 04:50 pm - Alexis Bienvenüe
> Mais il y a toujours des erreurs de compilation car il semble que listings utilise verbatim (?)
Essayez avec une des solutions proposées dans la documentation.

12/21/2020 10:52 am - Alexis Bienvenüe
- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Files
QCM-AMC.tex 7.7 kB 03/25/2020 Pascal Boulet
QCM-AMC-test.tex 1.4 kB 03/25/2020 Pascal Boulet

05/17/2025 2/2


